
/// Includes

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>
#include <exec/types.h>
#include <libraries/mui.h>
#include <proto/exec.h>
#include <proto/muimaster.h>

#include "Popplaceholder_mcc.h"

LONG __stack = 18192;

#define SAVEDS __saveds
#define ASM __asm
#define REG(x) register __ ## x

//|

char VER[] = "$VER: Popplaceholder_test 0.3 (11.07.99)";

/// STRUCT: Library *
struct  Library *MUIMasterBase  = NULL;
struct  ObjApp  *app            = NULL;
//|

/// CleanUp
void CleanUp(void)
{
   if(MUIMasterBase)   {CloseLibrary(MUIMasterBase); MUIMasterBase = NULL; }
}
//|

/// xget
ULONG xget( Object *obj, int attr)
{
ULONG val;

	get( obj, attr, &val);
	return( val );
}
//|

/// Main
int main(void)
{
APTR app, window, pph;

static const char *PP_Table[] =
{
    "%s|normal",
    "%g|highlight",
    "%x|3-dimensional",
    "%w|4-dimensional",
	"Tag|Description",
	"WWW|World Wide Web",
    NULL
};

   if((MUIMasterBase = OpenLibrary(MUIMASTER_NAME, MUIMASTER_VMIN)) == NULL)
       {
       printf("MSG_ERR_MUI\n");
       CleanUp();
       return(EXIT_FAILURE);
       }

      {
      app = ApplicationObject,
            MUIA_Application_Title      , "Popplaceholder test",
            MUIA_Application_Version    , "VERSTAG",
            MUIA_Application_Copyright  , "1999 Marcin Orowski",
            MUIA_Application_Author     , "Marcin Orlowski",
            MUIA_Application_Base       , "POPPLACEHOLDERTEST",
//            MUIA_Application_HelpFile   , "Test.guide",
            MUIA_Application_Window     ,
               window = WindowObject,
                        MUIA_Window_ID, 0,
                        MUIA_Window_Title, "Popplaceholder test",
                        WindowContents,
                              VGroup,
                              Child, TextObject, MUIA_Text_Contents, "\033cPopplaceholder.mcc test", End,

                              Child, pph = PopphObject,
                                     MUIA_Popph_Array, PP_Table,
                                     MUIA_Popph_Contents, "Something",
                                     End,

                              End,
                        End,

                 End;

      DoMethod(window, MUIM_Notify, MUIA_Window_CloseRequest, TRUE, MUIV_Notify_Application, 2, MUIM_Application_ReturnID, MUIV_Application_ReturnID_Quit);


      if(app)
        {
        set(window,MUIA_Window_Open,TRUE);

           {
           ULONG sigs = 0;

           while(DoMethod(app,MUIM_Application_NewInput,&sigs) != MUIV_Application_ReturnID_Quit)
             {
             if(sigs)
               {
               sigs = Wait(sigs | SIGBREAKF_CTRL_C);
               if(sigs & SIGBREAKF_CTRL_C) break;
               }
             }
           }

//		printf( "Result string: '%s'\n", xget(pph, MUIA_Popph_Contents) );

        MUI_DisposeObject(app);
        }
      else
        {
        printf("Can't create application object\n");
        DisplayBeep(NULL);
        }
      }

   CleanUp();
   return(EXIT_SUCCESS);
}
//|
